/* General reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


.bg-darkBlue{
    background-color: #1a1a1a;
}



/* swiper -> marquee effect */

.heroSwiper {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}

.heroSwiper .swiper-wrapper {
    transition-timing-function: linear !important;
    position: relative;
}

.heroSwiper .swiper-slide {
    color: white;
    font-size: 16px;
    width: calc(fit-content + 10px) !important;
}





/* Wrapper and content positioning */
.wrapper {
    position: relative;
    width: 100%;
    z-index: 1;
}




.logo-box {
    width: 150px;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.logo-box img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}



/* Image container setup */
.image-container {
    position: relative;
    width: 100%;
    height: 100vh;
    z-index: 2;
    perspective: 500px;
    overflow: hidden;
}

.testH1 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    opacity: 0;
    z-index: 10;
    text-align: center;
}

/* Splash images styling */
.splash-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    border-radius: 0;
    opacity: 0;
    transition: opacity 0.5s;
}


/* Specific images with z-index for layering */
.splash-image.is-1 {
    background-image: url("../img/zoom/1.png");
    z-index: 3;
    transform: scale(1.3);
    opacity: 1;
}

.splash-image.is-2 {
    background-image: url("../img/zoom/2.png");
    z-index: 2;
    transform: scale(1);
    opacity: 0.5;
}

.splash-image.is-3 {
    background-image: url("../img/zoom/3.png");
    z-index: 1;
    transform: scale(0.8);
    opacity: 0.5;
}

.splash-image.is-4 {
    background-image: url("../img/zoom/3.png");
    z-index: 1;
    transform: scale(0.6);
    opacity: 0.5;
}

/* Zoom effect on scroll */
.splash-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}







:root {
    scroll-behavior: auto !important;
}





/* scrollbar */


/* scrollbar styling */
*::-webkit-scrollbar {
    width: 5px;
}

/* Track */
*::-webkit-scrollbar-track {
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background-color: transparent;
    -webkit-box-shadow: inset 0 0 4px rgba(0, 0, 0, 0.1);

}

/* Handle */
*::-webkit-scrollbar-thumb {
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background: #03092236;
    /* -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5); */
}

*::-webkit-scrollbar-thumb:window-inactive {
    background: #EDEDED;
}



.text-yellow {
    background: linear-gradient(to right, #b30000 0%, #ff4f12 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}


.borderEnd {
    border-right: 1px solid #dee2e650;
}

.borderTop{
    border-top: 1px solid #dee2e650;
}


.w-lg-50{
    width: 50%;
}













textarea:focus{
    outline: none;
    -webkit-appearance: none;
    box-shadow: none !important;
    background-color: transparent;

}



::placeholder {
    color: #3d251e;
}

.contactForm input{
    border: none;
    border-bottom: 1px solid #3d251e;
    border-radius: 0;
    background-color: #F8F9FA;
}








/* Media Query for Mobile Devices */
@media (max-width: 480px) {
    .borderEnd {
        border-right: none;
    }
    .w-lg-50{
        width: 100%;
    }
}


.autoplay-progress {
    position: absolute;
    right: 16px;
    bottom: 16px;
    z-index: 10;
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: #ff4f12;
  }

  .autoplay-progress svg {
    --progress: 0;
    position: absolute;
    left: 0;
    top: 0px;
    z-index: 10;
    width: 100%;
    height: 100%;
    stroke-width: 4px;
    stroke: #ff4f12;
    fill: none;
    stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
    stroke-dasharray: 125.6;
    transform: rotate(-90deg);
  }


/* Style inactive dots as small circles */
.swiper-pagination-bullet {
    background-color: #fff;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    opacity: 1;
}

/* Style active dot as a pill shape */
.swiper-pagination-bullet-active {
    background-color: #ff4f12;
    width: 20px;
    height: 8px;
    border-radius: 20px;
    transition: width 0.3s ease;
}
